using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("文件发布范围表")]
    public class T_HM_FILE_PUBLISH_AREA : MesEntityBase
    {
        [Description("文件发布表ID")]
        [DataFieldForeignKey("Nav_FilePublish", "Nav_Area")]
        public Guid FILE_PUBLISH_ID { get; set; }

        [Description("发起部门ID")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航属性：发起部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("导航属性：文件发布表")]
        public virtual T_HM_FILE_PUBLISH Nav_FilePublish { get; set; }

















    }
}
